## com.bbn.openmap.layer.test
Class GeoIntersectionLayer.OMLineSegment

    java.lang.Object
      com.bbn.openmap.layer.test.GeoIntersectionLayer.OMLineSegment

All Implemented Interfaces:
  GeoExtent, GeoSegment

Enclosing class:
  GeoIntersectionLayer

public static class GeoIntersectionLayer.OMLineSegment
extends java.lang.Object
implements GeoSegment

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.geo.GeoSegment
`GeoSegment.Impl`

Constructor Summary
`GeoIntersectionLayer.OMLineSegment(OMLine oml)`

Method Summary
`BoundingCircle` `getBoundingCircle()` compute a point and radius around the extent.
`java.lang.Object` `getID()` return an object that this extent represents.
`Geo[]` `getSeg()`
`float[]` `getSegArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoIntersectionLayer.OMLineSegment

    public GeoIntersectionLayer.OMLineSegment(OMLine oml)

Method Detail

### getSeg

    public Geo[] getSeg()

  Specified by:
    `getSeg` in interface `GeoSegment`
  Returns:
    the current segment as a two-element array of Geo The first point is the "current point" and the second is the next. If there isn't another point available, will throw an indexOutOfBounds exception.

### getSegArray

    public float[] getSegArray()

  Specified by:
    `getSegArray` in interface `GeoSegment`
  Returns:
    the current segment as a float[]. The first point is the "current point" and the second is the next. If there isn't another point available, will throw an indexOutOfBounds exception.

### getID

    public java.lang.Object getID()

  Description copied from interface: `GeoExtent`
  return an object that this extent represents.

  Specified by:
    `getID` in interface `GeoExtent`

### getBoundingCircle

    public BoundingCircle getBoundingCircle()

  Description copied from interface: `GeoExtent`
  compute a point and radius around the extent.

  Specified by:
    `getBoundingCircle` in interface `GeoExtent`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details